using UnityEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine.Events;
using TMPro;
using UnityEngine.SceneManagement;
using System.Linq;
using System.Runtime.ExceptionServices;
using System.Security.Permissions;

namespace Mod
{
	public class Mod : MonoBehaviour
	{
		public static Map[] Maps;
		public static Map Vol;
		public static Sprite TemplateSprite = ModAPI.LoadSprite("TEMPLATE.png");
		public static string mapname;
		public static MapSelectionMenuBehaviour mapmenu = UnityEngine.Object.FindObjectOfType<MapSelectionMenuBehaviour>();
		public static bool debounce = false;
		public static Sprite Square = ModAPI.LoadSprite("black.png");
		public static Sprite Secret = ModAPI.LoadSprite("secret.png");
		public static string MapName = "Melon Playground";
        public static Sprite Background = ModAPI.LoadSprite("Background.png");
		public static int m = 0;


		public static PhysicalProperties phys = ModAPI.FindPhysicalProperties("Soft");

		public static void CreateMap(MapSelectionMenuBehaviour mapmenuthingy, string name, string desc, Sprite thumb)
		{
			Vol = ScriptableObject.CreateInstance<Map>();
			Vol.name = name;
			mapname = Vol.name;
			Vol.Description = desc;
			Vol.Thumbnail = thumb;
			var baseplate = Resources.Load<Map>("Maps/default");
			Vol.Prefab = baseplate.Prefab;
			var mapviewbutton = UnityEngine.Object.Instantiate<GameObject>(mapmenuthingy.MapViewPrefab, Vector3.zero, Quaternion.identity, mapmenuthingy.transform);
			mapviewbutton.GetComponent<MapViewBehaviour>().Map = Vol;
			UISoundBehaviour.Refresh();
			phys.Brittleness = 0f;
			phys.Buoyancy = 0f;
			phys.Flammability = 0f;
			phys.MagneticAttractionIntensity = 0f;
			phys.Conducting = false;
			phys.Burnrate = 0f;
			phys.ImpactIntensityMutliplier = 1f;
			phys.HitVolumeMultiplier = 1f;
			phys.BulletSpeedAbsorptionPower = 0f;
			phys.Softness = 0.1f;
			phys.LodgeStrengthMultiplier = 0.1f;
			phys.SharpForceThresholdMultiplier = 1f;
			Vol.UniqueIdentity = Guid.NewGuid().ToString();
			MapRegistry.Register(Vol);
		}

		public static void OnLoad()
		{
			CreateMap(mapmenu, MapName, "Template", TemplateSprite);
			SceneManager.sceneLoaded += OnSceneLoaded;
		}

		public static void OnSceneLoaded(Scene scene, LoadSceneMode mode)
		{
			if (debounce == false)
			{
				debounce = true;
				var obj = new GameObject();
				obj.AddComponent<MapLoadingStuff>();
			}
		}

		public static void CreateGameObjects(string Name, Vector2 Pos, Vector2 Size, Quaternion Rotation, string Layer, bool NoCollision)
		{
			var NewGameobject = ModAPI.CreatePhysicalObject(Name, Mod.Square);
			NewGameobject.tag = "NoClear";
			NewGameobject.layer = LayerMask.NameToLayer("Bounds");
			NewGameobject.transform.localScale = Size;
			NewGameobject.transform.position = Pos;
			if (Layer == "Front")
			{
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Top");
			}
			if (Layer == "Back")
			{
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Bottom"); ///USE BOTTOM FOR BACKGROUND!!!
			}
			NewGameobject.transform.rotation = Rotation;
			if (NoCollision)
			{
				NewGameobject.GetComponent<Collider2D>().enabled = false;
			}
			NewGameobject.transform.parent = GameObject.Find("Root").transform;
			NewGameobject.GetComponent<Rigidbody2D>().constraints = RigidbodyConstraints2D.FreezeAll;
			NewGameobject.AddComponent<Undraggable>();
			NewGameobject.AddComponent<ContextMenuOptionComponent>();
			PhysicalBehaviour physicalBehaviour = NewGameobject.GetComponent<PhysicalBehaviour>();
			physicalBehaviour.ResetColliderArray();
			///physicalBehaviour.BakeColliderGridPoints();
			physicalBehaviour.Properties = Mod.phys;
			physicalBehaviour.SpawnSpawnParticles = false;
			physicalBehaviour.OverrideShotSounds = new AudioClip[0];
			physicalBehaviour.OverrideImpactSounds = new AudioClip[0];
			physicalBehaviour.Deletable = false;
			physicalBehaviour.Disintegratable = false;
			///NewGameobject.AddComponent<AudioSource>();
			///NewGameobject.AddComponent<AudioSourceTimeScaleBehaviour>();
		}

		public static void CreateCustomGameObjects(string Name, Vector2 Pos, Vector2 Size, Quaternion Rotation, Sprite spritey, string Layer, bool NoCollision, int u=1)
		{
			var NewGameobject = ModAPI.CreatePhysicalObject(Name, spritey);
			NewGameobject.tag = "NoClear";
			NewGameobject.layer = LayerMask.NameToLayer("Bounds");
			NewGameobject.transform.position = Pos;
			NewGameobject.transform.localScale = Size;
			NewGameobject.transform.rotation = Rotation;
			if (Layer == "Front")
			{
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Top");
			}
			if (Layer == "Back")
			{
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Background");
			}
			if (!NoCollision)
			{
				NewGameobject.GetComponent<Collider2D>().enabled = true;
			}
            else
            {
				NewGameobject.GetComponent<Collider2D>().enabled = false;
			}
			//NewGameobject.transform.parent = GameObject.Find("Root").transform;
			NewGameobject.GetComponent<Rigidbody2D>().constraints = RigidbodyConstraints2D.FreezeAll;
			NewGameobject.AddComponent<Undraggable>();
			NewGameobject.AddComponent<ContextMenuOptionComponent>();
			PhysicalBehaviour physicalBehaviour = NewGameobject.GetComponent<PhysicalBehaviour>();
			physicalBehaviour.Properties = Mod.phys;
			physicalBehaviour.SpawnSpawnParticles = false;
			physicalBehaviour.OverrideShotSounds = new AudioClip[0];
			physicalBehaviour.OverrideImpactSounds = new AudioClip[0];
			physicalBehaviour.Deletable = false;
			physicalBehaviour.Disintegratable = false;
			if (u != 1)
            {
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Bottom");
			}
			///NewGameobject.AddComponent<AudioSource>();
			///NewGameobject.AddComponent<AudioSourceTimeScaleBehaviour>();
		}

		public static void CreatePhysicsGameObjects(string Name, Vector2 Pos, Vector2 Size, Quaternion Rotation, Sprite spritey, string Layer, bool NoCollision)
		{
			var NewGameobject = ModAPI.CreatePhysicalObject(Name, spritey);
			if (Layer == "Front")
			{
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Objects");
			}
			if (Layer == "Back")
			{
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Background");
			}
			NewGameobject.tag = "NoClear";
			NewGameobject.transform.position = Pos;
			NewGameobject.transform.localScale = Size;
			NewGameobject.transform.rotation = Rotation;
			PhysicalBehaviour physicalBehaviour = NewGameobject.GetComponent<PhysicalBehaviour>();
			if (NoCollision)
			{
				NewGameobject.GetComponent<Collider2D>().enabled = false;
			}
			physicalBehaviour.OverrideShotSounds = new AudioClip[0];
			physicalBehaviour.OverrideImpactSounds = new AudioClip[0];
		}

		public static void CreateLightSources(String Name, Vector2 Pos, Vector2 Size, Quaternion Rotation, Color32 color, float brightness)
		{
			var NewGameobject = new GameObject();
			NewGameobject.tag = "NoClear";
			NewGameobject.transform.position = Pos;
			NewGameobject.transform.localScale = Size;
			NewGameobject.transform.rotation = Rotation;
			var light = ModAPI.CreateLight(NewGameobject.transform, color, brightness);
			light.gameObject.tag = "NoClear";
		}

		public static void CreateBackground(String Name, Color32 color, Sprite spritey, bool IsTexture)
		{
			var NewGameobject = new GameObject();
			NewGameobject.tag = "NoClear";
			NewGameobject.transform.position = new Vector2(572.314f, 496.2918f);
			var whitespace = Texture2D.whiteTexture;
			whitespace.Resize(16, 16);
			whitespace.Apply();
			if (IsTexture == true)
			{
				var croppedTexture = new Texture2D((int)spritey.rect.width, (int)spritey.rect.height);
				var pixels = spritey.texture.GetPixels((int)spritey.textureRect.x,
														(int)spritey.textureRect.y,
														(int)spritey.textureRect.width,
														(int)spritey.textureRect.height);
				croppedTexture.SetPixels(pixels);
				croppedTexture.wrapMode = TextureWrapMode.Repeat;
				croppedTexture.filterMode = FilterMode.Point;
				croppedTexture.Apply();
				var copy = Sprite.Create(croppedTexture, new Rect(0f, 0f, (float)croppedTexture.width, (float)croppedTexture.height), 0.5f * Vector2.one, 0f, 0, SpriteMeshType.FullRect);
				NewGameobject.AddComponent<SpriteRenderer>().drawMode = SpriteDrawMode.Tiled;
				NewGameobject.GetComponent<SpriteRenderer>().material = ModAPI.FindMaterial("Background.png");
				NewGameobject.GetComponent<SpriteRenderer>().sprite = copy;
				NewGameobject.GetComponent<SpriteRenderer>().size = new Vector2(5, 5);
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Bottom");
				///NewGameobject.GetComponent<SpriteRenderer>().sortingOrder = 25;
			}
			else
			{
				NewGameobject.AddComponent<SpriteRenderer>().sprite = Sprite.Create(whitespace, new Rect(0f, 0f, 16f, 16f), 0.5f * Vector2.one, 35f);
				NewGameobject.GetComponent<SpriteRenderer>().color = color;
				NewGameobject.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Bottom");
				///NewGameobject.GetComponent<SpriteRenderer>().sortingOrder = 25;
			}
			NewGameobject.transform.localScale = new Vector2(2533.112f, 2175.462f);
			NewGameobject.transform.parent = GameObject.Find("Root").transform;
			NewGameobject.layer = LayerMask.NameToLayer("Bounds");
		}

		public static void CreateParticleSources(string Name, Vector2 Pos, float Speed, string Particles)
		{
			var NewGameobject = new GameObject();
			NewGameobject.tag = "NoClear";
			NewGameobject.name = Name;
			NewGameobject.transform.position = Pos;
			NewGameobject.AddComponent<ParticleDelay>();
			NewGameobject.GetComponent<ParticleDelay>().Speed1 = Speed;
			NewGameobject.GetComponent<ParticleDelay>().Particles1 = Particles;
		}

		public static void AddAudioToAmbience(float Bacon, AudioClip[] Eggs)
		{
			///Changing this to other variables in the MapConfig will let you force snow on and other stuff.
			MapConfig mapconfig = UnityEngine.Object.FindObjectOfType<MapConfig>();
			///mapconfig.OverrideAmbientSounds = true;
			var hhh = mapconfig.transform.parent.GetComponent<PlayAudioAtRandom>();
			hhh.Clips = Eggs;
			hhh.ChancePerSecond = Bacon;
		}
		public static void Main()
		{
			///Don't do anything yet.
			if (MapLoaderBehaviour.CurrentMap == Vol)
            {
				Debug.Log("Setting up some stuff.");
//Background
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 4.75f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background2
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 16.16f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background4
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 27.57f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background5
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 38.98f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background6
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 50.39f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background7

				CreateCustomGameObjects("Custom", new Vector2(0.75f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 61.8f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background8
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 73.21f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background9
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 84.62f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background10
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 96.03f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background11
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 107.44f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background12
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 118.85f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background13---
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 130.26f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background14
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 141.67f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15----
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 153.08f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background13---
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 164.49f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background14
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 175.9f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 187.31f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background13---
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 198.72f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background14
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 210.13f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15

				CreateCustomGameObjects("Custom", new Vector2(0.75f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 221.54f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background13---
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 232.95f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background14
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 244.36f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15

				CreateCustomGameObjects("Custom", new Vector2(0.75f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 255.77f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background13---
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 267.18f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background14
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 278.59f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15

				CreateCustomGameObjects("Custom", new Vector2(0.75f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 290f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background13---
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 301.41f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background14
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 312.82f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 324.23f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 335.64f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Background15
				CreateCustomGameObjects("Custom", new Vector2(0.75f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(13.6f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(26.45f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(39.3f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(52.15f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(65f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(77.85f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(90.7f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(103.55f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(116.4f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(129.25f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(142.1f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(154.95f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(167.8f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(180.65f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(193.5f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(206.35f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(219.2f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(232.05f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(244.9f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(257.75f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(270.6f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(283.45f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(296.3f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(309.15f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(322f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(334.85f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(347.7f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(360.55f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(373.4f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(386.25f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(399.1f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(411.95f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(424.8f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(437.65f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(450.5f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(463.35f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
				CreateCustomGameObjects("Custom", new Vector2(476.2f, 347.05f), new Vector2(0.42f, 0.39f), Quaternion.Euler(0f, 0f, 0f), Background, "Back", true, -1);
//Walls

				CreateCustomGameObjects("Custom", new Vector2(1000f, 500f), new Vector2(36216.5f, 100000f), Quaternion.Euler(0f, 0f, 0f), Square, "Front", false); 
				CreateCustomGameObjects("Custom", new Vector2(1000f, 999.75f), new Vector2(100000f, 45290f), Quaternion.Euler(0f, 0f, 0f), Square, "Front", false); 
				CreateCustomGameObjects("Custom", new Vector2(-5.23f, 350f), new Vector2(0.5f, 0.5f), Quaternion.Euler(0f, 0f, 0f), Secret, "Back", true, 1); 

				CreateParticleSources("Particles", new Vector2(-9999f, -9999f), 1f, "Spark");
                
				var collison = GameObject.Find("Default map/Root").AddComponent<NoCollide>();
				collison.NoCollideSetA = GameObject.Find("Default map/Root").GetComponentsInChildren<Collider2D>();
				collison.NoCollideSetB = GameObject.Find("Default map/Root").GetComponentsInChildren<Collider2D>();
			}
		}
	}

	public class MapLoadingStuff : MonoBehaviour
    {
		public void Awake()
        {
			StartCoroutine(Delay());
		}

		public IEnumerator Delay()
        {
			MapSelectionMenuBehaviour ingamemapmenu = UnityEngine.Object.FindObjectOfType<MapSelectionMenuBehaviour>();
			yield return new WaitForSeconds(0f);
		}
    }

	public class ParticleDelay : MonoBehaviour
    {
		public string Particles1;
		public float Speed1;
		public void Awake()
        {
			StartCoroutine(Emit());
		}

		public IEnumerator Emit()
		{
			yield return new WaitForSeconds(0.25f);
			while (true)
			{
				var time = 1f / Speed1;
				ModAPI.CreateParticleEffect(Particles1.ToString(), gameObject.transform.position);
				yield return new WaitForSeconds(time);
			}
}
}
}